<script setup lang="ts">
import { chartOptions } from "./chartConfig";
import { defineProps } from "vue";
import { BirdHouseGraphProps } from "@/views/BirdhouseView/components/BirdhouseGraph/types/birdHouseGraphProps";

const { graphResidencyData } = defineProps({
  graphResidencyData: {
    type: Array as () => BirdHouseGraphProps[],
    required: true
  },
});
</script>

<template>
  <div>
    <apexchart
        width="98%"
        height="550"
        type="area"
        :options="chartOptions"
        :series="graphResidencyData"
    ></apexchart>
  </div>
</template>



